<?php 
	
	// Este controlador es utilizado para la configuración del menú lateral izquierdo de la página..
	require_once "../modelo/proceso.modelo.php";
	class ControladorProceso extends ModeloProceso{
		
		/*====================================================================
		CONSULTA PROCESOS
		=====================================================================*/
		public function ctrConsultaMacroProcesos(){

			$resultado_macro_proceso = ModeloProceso::mdlConsultaMacroProcesos();
			$macro_procesos = $resultado_macro_proceso->fetchAll();

			return $macro_procesos;

		}

		/*====================================================================
		CONSULTA PROCESOS
		=====================================================================*/
		public function ctrConsultaProcesos($id_macro_p){

			$resultado_proceso = ModeloProceso::mdlConsultaProcesos($id_macro_p);
			$procesos = $resultado_proceso->fetchAll();

			return $procesos;

		}


		/*====================================================================
		CONSULTA PROCESOS MENÚ
		=====================================================================*/
		public function ctrConsultaProcesosMenu($id_macro_p, $id_perfil){

			$resultado_proceso = ModeloProceso::mdlConsultaProcesosMenu($id_macro_p, $id_perfil);
			$procesos = $resultado_proceso->fetchAll();

			return $procesos;

		}

		

		
	}

 ?>